# $Id: xgawk.spec 1043 2010-07-21 04:09:07Z rpmbuild $
# repo: RE
# restrictions:

%define releasename 20080101

Name:		xgawk
Summary:	Extensible GNU awk text processing utility with new features
Version:	3.1.6
Release:	%RErelease %{releasename}.1
License:	GPL
Group:		Applications/Text
URL:		http://sourceforge.net/projects/xmlgawk
Source0:	http://prdownloads.sf.net/%{name}/%{name}-%{version}-%{releasename}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:	rpm-macros-razorsedge
BuildRequires:	texinfo-tex
BuildRequires:	tetex-dvips
BuildRequires:	expat-devel
BuildRequires:	postgresql-devel
#BuildRequires:	gmp-devel
BuildRequires:	gd-devel

Requires(post): /sbin/install-info                                              
Requires(preun): /sbin/install-info                                             
Requires: /bin/mktemp

%description
%{name} is an experimental extension of the GNU Awk interpreter that supports
dynamically loaded extensions including XML processing, time handling
(gettimeofday and sleep), POSIX file interface functions (stat), PostgreSQL,
and others.

%prep
%setup -q -n %{name}-%{version}-%{releasename}

%build
%configure
%{__make} %{?_smp_mflags}
%{__make} %{?_smp_mflags} -C doc xmlgawk.html
%{__make} %{?_smp_mflags} -C doc xmlgawk.pdf
%{__make} %{?_smp_mflags} -C doc xmlgawk.ps

%install
rm -rf %{buildroot}
%{__make} DESTDIR=$RPM_BUILD_ROOT install
rm -f %{buildroot}%{_infodir}/dir
%find_lang %name

%check
%{__make} %{?_smp_mflags} check

%clean
rm -rf %{buildroot}

%post
if [ -f %{_infodir}/xmlgawk.info.gz ]; then
    /sbin/install-info %{_infodir}/xmlgawk.info.gz %{_infodir}/dir
fi

%preun
if [ $1 = 0 -a -f %{_infodir}/xmlgawk.info.gz ]; then
   /sbin/install-info --delete %{_infodir}/xmlgawk.info.gz %{_infodir}/dir
fi

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc README COPYING FUTURES LIMITATIONS NEWS
%doc README_d POSIX.STD doc/xmlgawk.ps.gz doc/xmlgawk.pdf doc/xmlgawk.html
%{_bindir}/*
%{_mandir}/man1/*
%{_infodir}/*.info*
%{_libdir}/%{name}
%{_libexecdir}/%{name}
%{_datadir}/%{name}

%changelog
* Mon Jul 19 2010 RazorsEdge Packaging <rpmpackaging@razorsedge.org> 3.1.6-%{releasename}.1
- Fixed specfile to work for mock builds.

* Sun Mar 19 2006  Andrew J. Schorr <ajschorr@users.sourceforge.net> - 3.1.5-0.1.beta.20060401
- Patched for inclusion in the distribution.

* Fri Mar 10 2006  Bill Rugolsky <bill@rugolsky.com>
- Initial packaging.
